Bug 255837 - net/luasocket: new maintainer
Summary: net/luasocket: new maintainer
Status: Closed Not Accepted
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: David Thiel
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-13 12:28 UTC by Thomas Morper
Modified: 2022-05-16 01:24 UTC (History)
3 users (show)

See Also:


Attachments
new MAINTAINER for net/luasocket (371 bytes, patch)
2021-05-13 12:28 UTC, Thomas Morper
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Morper 2021-05-13 12:28:30 UTC
Created attachment 224898 [details]
new MAINTAINER for net/luasocket

It seems like "lx" can't or won't maintain this port any longer. As this port is a requirement for my new-im/prosody port I'm ready to become the new maintainer.
Comment 1 Daniel Engberg freebsd_committer 2021-06-15 07:28:44 UTC
David, friendly ping
Comment 2 Thomas Morper 2021-07-10 11:51:21 UTC
David is propably busy with other things and basically has not replied to any requests for more than a year (see net-im/prosody or security/luasec for example). Waiting any longer will not change the outcome, I think.
Comment 3 Kurt Jaeger freebsd_committer 2021-07-15 04:40:09 UTC
(In reply to Thomas Morper from comment #2)
PR224540 was committed in May for luasec -- that was not one year ago...
Comment 4 Kurt Jaeger freebsd_committer 2021-07-15 19:07:49 UTC
(In reply to Kurt Jaeger from comment #3)
Ok, it was

https://cgit.freebsd.org/ports/commit/?id=53f77bc13e98563ac4c1c0a3540b7249d766d193

and the PR was misfiled. It was PR#255433
Comment 5 Guangyuan Yang freebsd_committer 2021-07-18 06:02:09 UTC
I believe that the rule is 3 months or 3 consecutive timeouts, so there is still time for the current maintainer to respond.

In addition, are you going to propose an update to this port? If so I would encourage you to include it with this PR - otherwise, there is no point of accusing "It seems like "lx" can't or won't maintain this port any longer" in my opinion.
Comment 6 Thomas Morper 2021-07-18 12:08:41 UTC
David was the previous maintainer of net-im/prosody and security/luasec (a dependency for prosody).

In October 2019 I submitted a PR to update prosody to the new version released a month before. There was no reaction from David and the PR was committed with a "maintainer timeout" in January 2020. I submitted more PRs with similar results and finally took maintainership of prosody in April 2020.

In February 2020 I noticed luasec hasn't been updated for about a year, missing two bugfix releases and a new version. I submitted a PR but again there was no reaction from David and the PR got committed with a "maintainer timeout".

In January 2021 luasec 1.0 was released. In April 2021 I submitted a PR and took over maintainership, both granted by "maintainer timeout".

So... David has basically been in timeout mode since at least 2019. But don't get me wrong! I'm not blaming or accusing David of anything. The ports are a volunteer effort and a maitainer's interests and priorities may change over time. If David can't or won't maintain his ports any longer then this is perfectly fine.

And this is where I step in. I don't really want to be a maintainer, but I've been running a prosody instance for many years, I want it to run well and what I'm trying to do is getting the prosody port and its dependencies(!) into a state where the versions are up-to-date and where all issues can be dealt with in a timely manner because that's currently not the case.
Comment 7 Guangyuan Yang freebsd_committer 2021-07-19 18:49:30 UTC
(In reply to Thomas Morper from comment #6)

First of all, thanks for helping out with these ports and offer to maintain them in the longer term. I understand how frustrating it is to wait for a maintainer's approval.

I do believe that we still have to follow the rules [1] here, which means 3 consecutive timeouts (14 days), or one 3-month timeout, or the maintainer agrees to give up the maintainership. I don't think the past experience you described was consecutive (and they have all been long resolved from now). In this case, I would recommend you to submit patches to these ports. If the maintainer still does not respond, either one PR + 3 months timeout or 3 PR + 14 days would qualify the maintainership to be reset. Ask for the reset on the same PR please.

I am going to close this and the other PR (unless David responds and approves the reset here), since they are not bug reports. Please feel free to submit patches to new PRs and ping myself or other committers for help.

[1]: https://docs.freebsd.org/en/books/porters-handbook/makefiles/#makefile-maintainer
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2022-05-16 01:24:56 UTC
^Triage: Correct resolution. Original change as proposed did not land.

Maintainership was reset in ports 04b57ef63827 by jrm@ and taken in ports dbe966e24a24 by sunpoet@ (2022-05)

This issue was prematurely closed. There existed a patch to request maintainership with a subsequent timeout.